This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 798187 - problem in wpa_supplicant with openssl-1.0.1-0.1.beta2.fc17.x86_64
problem in wpa_supplicant with openssl-1.0.1-0.1.beta2.fc17.x86_64
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 04:29 EST by Fabrice Bellet
Modified: 2015-01-13 07:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 07:30:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
with openssl-1.0.0g-1.fc17.x86_64 (57.25 KB, text/plain)
2012-02-28 04:29 EST, Fabrice Bellet
no flags Details
with openssl-1.0.1-0.1.beta2.fc17.x86_64 (45.35 KB, text/plain)
2012-02-28 04:29 EST, Fabrice Bellet
no flags Details

  None (edit)
Description Fabrice Bellet 2012-02-28 04:29:00 EST
Created attachment 566264 [details]
with openssl-1.0.0g-1.fc17.x86_64

Authentication in wpa_supplicant fails with openssl-1.0.1-0.1.beta2.fc17.x86_64 (security : wpa/wpa2 enterprise, authentication ttls). Here is the output of wpa_supplicant, debug enabled, with current openssl and with previous version. The authentication problem occurs just after the occurence of "no matching PMKID found"
Comment 1 Fabrice Bellet 2012-02-28 04:29:59 EST
Created attachment 566265 [details]
with openssl-1.0.1-0.1.beta2.fc17.x86_64
Comment 2 Tomas Mraz 2012-02-29 03:25:14 EST
The problem is indicated by this line:
EAP-TTLS: Failed to derive key

This message means that eap_peer_tls_derive_key() function failed. I'd need more low level debugging output to find out which function called from OpenSSL library fails or behaves differently.

I suppose it is related to the new TLS-1.2 support in openssl-1.0.1. Perhaps the wpa_supplicant should forcibly limit the TLS version to 1.0?

Reassingning to wpa_supplicant for better insight from wpa_supplicant maintainers.
Comment 3 Fedora End Of Life 2013-04-03 10:23:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 12:02:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fabrice Bellet 2015-01-13 07:30:14 EST
I cannot reproduce the bug with current versions. So closing this bz.

Note You need to log in before you can comment on or make changes to this bug.